/*********************************************************************

 32877 | 管理画面レスポンシブ対応 (2018/05/13)

 Copyright(C) 32877 | http://32877.xii.jp/

*********************************************************************/
$(function() {
    //アコーディオンメニュー
		for (var i=0; i < $(".accordion p").length; i++) {
		    if( Cookies.get('accord'+i) == 'open') {
		       $(".accordion > li").eq(i).children("ul").show();
		       $(".accordion > li").eq(i).find("i").removeClass('fa-chevron-circle-down');
		       $(".accordion > li").eq(i).find("i").addClass('fa-chevron-circle-up');
		    }
		}
		$(".accordion p").on('click', function(){
		    $(this).next("ul").slideToggle();
		    $(this).children("i").toggleClass('fa-chevron-circle-down');
		    $(this).children("i").toggleClass('fa-chevron-circle-up');
		    n = $(".accordion p").index(this);
		    if (Cookies.get('accord'+n) == 'open') {
		    	Cookies.set('accord'+n, 'close');
		    } else {
		    	Cookies.set('accord'+n, 'open');
		    }
		});
	//レスポンシブ切り替え
    var w = $(window).width();
    var x = 480;
    if (w <= x) {
	    	//スマホ用
			//tiny-mce対応
	        $('textarea').attr('id', '');

			//テーブル対応
			$('table tr th').on('click', function(){
				$(this).nextAll('th').slideToggle();
				$(this).toggleClass('toggle_open');
			});
			$('table tr td').on('click', function(){
				$(this).nextAll('td').slideToggle();
				$(this).toggleClass('toggle_open');
			});
			//メニューボタン
			$("button.btn").on('click', function(){
				$('button.btn').toggleClass('fa-times');
	    		$('button.btn').toggleClass('fa-bars');
	    		if ($('button.btn').hasClass('fa-times')){
					//オーバーレイ付与
	    			$("header").addClass('drower');
	    			$("#overlay").fadeIn();
	    			//スクロールを止める
					var scrollTop = $(window).scrollTop();
					$('#content').css({'position':'fixed','top':-scrollTop});
	    		} else {
	    			//オーバーレイ除去
	    			$("header").removeClass('drower');
	    			$("#overlay").fadeOut();
	    			//スクロール再開
					$('#content').css({'position':'static','top':'0'});
	    		}
			});
			//メニュー領域外処理
			$(document).on('click touchend', function (event) {
				var clickover = $(event.target);
				var menu_show = $('#menu').hasClass('show');
				if (menu_show === true &&clickover.hasClass('drower')){
					//ボタン表示処理
					$('button.btn').toggleClass('fa-times');
					$('button.btn').toggleClass('fa-bars');
					//メニューを閉じる
					$("#menu").collapse('hide');
					//オーバーレイ除去
					$("header").removeClass('drower');
					$("#overlay").fadeOut();
					//スクロール再開
					$('#content').css({'position':'static','top':'0'});
				}
			});
    } else {
    	//PC用
			//メニューを表示する
				$('header button').addClass('fa-times');
				$('header button').removeClass('fa-bars');
				$('header button').attr('aria-expanded','true');
				$('#menu').addClass('show');
			//メニューボタンを隠す
				$('header button').hide();
	}
});
